import QtQuick 1.1
import com.nokia.meego 1.0

Image {
    id: root
    smooth: true
    fillMode: Image.PreserveAspectFit
    signal clicked
    property bool active
    opacity: 0.5

    Connections {
        target: viewportMouse
        onPositionChanged: handleMouse(mouse, false)
        onReleased: handleMouse(mouse, true)
        onPressed: handleMouse(mouse, false)
    }

    MouseArea {
        anchors.fill: root
        onPressed: {
            if (root.active)
                root.opacity = 0.9
        }
        onReleased: {
            root.opacity = 0.5
        }
        onPositionChanged: handleMouse(mouse, false)
        onClicked: root.clicked()
        onEntered: {
            if (root.active)
                root.opacity = 0.9
        }
        onExited: {
            root.opacity = 0.5
        }
    }

    function handleMouse(mouse, isReleased) {
        if (root.visible) {
            var mapped = root.mapFromItem(mainScope, mouse.x, mouse.y)
            if (mapped.x < 0 || mapped.x > root.width || mapped.y < 0 || mapped.y > root.height) {
                root.opacity = 0.5
            }
            else if (root.active) {
                if (isReleased) {
                    root.clicked()
                    root.opacity = 0.5
                }
                else {
                    root.opacity = 0.9
                }
            }
        }
    }
}
