import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: root
    height: 80
    property alias iconSource: icon.source
    property alias titleText: title.text
    property alias extraIcon: button.iconSource
    signal buttonClicked

    Rectangle {
        color: theme.inverted ? "white" : "black"
        width: root.width
        height: 1
        anchors.bottom: root.bottom
        anchors.bottomMargin: 1
    }

    Rectangle {
        color: theme.inverted ? "black" : "white"
        width: root.width
        height: 1
        anchors.bottom: root.bottom
    }

    Image {
        id: icon
        width: 64
        height: 64
        smooth: true
        anchors.left: root.left
        anchors.leftMargin: 16
        anchors.verticalCenter: root.verticalCenter
    }

    Text {
        id: title
        height: 36
        font.pixelSize: height
        horizontalAlignment: Text.AlignHCenter
        anchors.left: icon.right
        anchors.leftMargin: 16
        anchors.verticalCenter: root.verticalCenter
        anchors.right: button.left
        anchors.rightMargin: 16
        color: theme.inverted ? "white" : "black"
    }

    Button {
        id: button
        width: 64
        height: 64
        visible: iconSource != ""
        iconSource: ""
        anchors.right: root.right
        anchors.rightMargin: 16
        anchors.verticalCenter: root.verticalCenter
        onClicked: root.buttonClicked()
    }
} 
