import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: root

    PageHeader {
        id: header
        anchors.top: root.top
        width: root.width
        titleText: qsTrId("meefox_about_title")
        iconSource: mainPage.iconset + "/settings.png"
    }

    Flickable {
        id: contentArea
        clip: true
        anchors.top: header.bottom
        anchors.left: root.left
        anchors.right: root.right
        anchors.bottom: root.bottom

        Column {
            id: content
            spacing: 20
            width: parent.width - 20
            anchors.horizontalCenter: parent.horizontalCenter

            Row {
                Column {
                    width: content.width - appicon.width
                    spacing: 5
                    Text {
                        text: "MeeFox"
                        font.pixelSize: 35
                        anchors.horizontalCenter: parent.horizontalCenter
                        color: theme.inverted ? "white" : "black"
                    }
                    Text {
                        text: QmlHelperTools.version()
                        font.pixelSize: 20
                        anchors.horizontalCenter: parent.horizontalCenter
                        color: theme.inverted ? "white" : "black"
                    }
                }
                Image {
                    id: appicon
                    source: "file:///opt/meefox/meefox.png"
                    smooth: true
                }
            }

            Text {
                font.pixelSize: 20
                color: theme.inverted ? "white" : "black"
                width: parent.width
                wrapMode: Text.WordWrap
                text: qsTrId("meefox_about_description")
            }
        }
    }
} 
