import QtQuick 1.1
import com.nokia.meego 1.0
import QtMozilla 1.0
import "."

PageStackWindow {
    id: appWindow
    showStatusBar: false
    initialPage: mainPage
    Component.onCompleted: {
        theme.inverted = true
        if (startURL == "about:blank") {
            startPage.show()
            pageStack.push(startPage)
        }
        screen.allowedOrientations = Screen.Portrait | Screen.Landscape
    }

    MainPage {
        id: mainPage
    }

    VerticalTouchTest {
        id: touchTest
    }

    DynamicTouchTest {
        id: dynamicTouchTest
    }

    StartPage {
        id: startPage
    }

    HistoryPage {
        id: historyPage
    }

    SettingsPage {
        id: settingsPage
    }

    ConfigPage {
        id: configPage
    }

    BookmarksPage {
        id: bookmarksPage
    }

    DownloadsPage {
        id: downloadsPage
    }
}
